Skip to content

Update employee profile

Request

Security
oauth2ClientCredentials(Required scopes: employees:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
namestringrequired

Employee name

Example:"Rob"
employee_idstringrequired

Employee ID

Example:"sgggbrfldhqcudjvhhwjpzcdcpcwws"
emailstringrequired

Employee email

Example:"rob@example.com"
phonestringrequired

Employee phone number (international format)

Example:"+1-555-0123"
tagsArray of strings

Employee tags (array of tag IDs)

Example:
[ "68cbd72f0e3b38101f9e8bfd" ]
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/employees/update-profile \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "name": "Rob",
    "employee_id": "sgggbrfldhqcudjvhhwjpzcdcpcwws",
    "email": "rob@example.com",
    "phone": "+1-555-0123",
    "tags": [
      "68cbd72f0e3b38101f9e8bfd"
    ]
  }'

Responses

Employee profile updated successfully